# $Revision: 1.138 $, $Date: 2010/11/08 18:50:27 $
#
# TODO: merge patches (some change the same files in the same places)
#
Summary:	Text based browser for the world wide web
Summary(de.UTF-8):	Text-Browser für das WWW
Summary(es.UTF-8):	Navegador web modo texto
Summary(fr.UTF-8):	Navigateur en mode texte pour le world wide web
Summary(ja.UTF-8):	テキストベースのウェブブラウザ
Summary(pl.UTF-8):	Przeglądarka WWW pracująca w trybie tekstowym
Summary(pt_BR.UTF-8):	Navegador web modo texto
Summary(tr.UTF-8):	Metin ekranda WWW tarayıcı
Name:		lynx
Version:	2.8.7rel.2
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	http://lynx.isc.org/lynx2.8.7/%{name}%{version}.tar.bz2
# Source0-md5:	cb936aef812e4e463ab86cbbe14d4db9
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	b5e02f86a8ee7bce4d8b97e4b6491714
Patch0:		%{name}-pld.patch
Patch1:		%{name}.cfg.patch
Patch2:		%{name}-po_DESTDIR.patch
Patch3:		%{name}-config.hin.patch
Patch4:		%{name}-autoconf.patch
Patch5:		%{name}-config.patch
Patch6:		%{name}-acfix.patch
Patch7:		%{name}-gzip_fallback.patch
Patch8:		%{name}-etc_dir.patch
URL:		http://lynx.browser.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	sed >= 4.0
#BuildRequires:	socks5-devel
BuildRequires:	zlib-devel
Provides:	webclient
Obsoletes:	lynx-ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32	 -fomit-frame-pointer

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

%description -l de.UTF-8
Dies ist ein WWW-Browser auf Terminal-Basis. Während kein Versuch
unternommen wird, Grafiken darzustellen, so bietet er doch guten
Support für HTML-Textformatierung, Formulare und Tabellen.

%description -l es.UTF-8
Este es un browser WWW para terminal en modo texto. Mientras no hace
ningún intento de enseñar gráficos, posee un buen soporte para el
formato de texto HTML, formularios y tablas.

%description -l fr.UTF-8
Navigateur WWW en mode texte. Bien qu'il n'affiche aucun graphique, il
sait bien gérer le formatage HTML du texte, les formulaires et les
tableaux.

%description -l ja.UTF-8
lynx はテキストベースのウェブブラウザである。lynx は何のイメージも
表示しないがフレーム、テーブルそして他の HTML タグをサポートする。
グラフィカルなブラウザに対する lynx のアドバンテージはスピードである。
lynx はウェブページを表示するのにすばやく即座に開始したり終了したりする。

この速い、グラフィカルでないブラウザを試したければインストールしなさい。
(その長所のよさがわかるであろう)

%description -l pl.UTF-8
Lynx jest przeglądarką WWW działającą w trybie tekstowym. Dobrze
formatuje tekst w HTML, ale nie pozwala na wyświetlanie grafiki.

%description -l pt_BR.UTF-8
Este é um browser WWW para terminal em modo texto. Enquanto ele não
faz nenhuma tentativa para mostrar gráficos, possui um bom suporte
para o formato de texto HTML, formulários e tabelas.

%description -l tr.UTF-8
Metin ekranda çalışan bir WWW tarayıcıdır. Şekil gösteremese de,
formlar ve tablolar için desteği vardır.

%prep
%setup -q -n %{name}2-8-7
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
cp /usr/share/automake/config.sub .
%{__autoconf}
%configure \
	--with-screen=ncursesw \
	--without-included-gettext \
	--with-bzlib \
	--with-zlib \
	--with-ssl \
	--enable-justify-elts \
	--enable-nested-tables \
	--enable-read-eta \
	--enable-kbd-layout \
	--enable-addrlist-page \
	--enable-cgi-links \
	--enable-default-colors \
	--enable-file-upload \
	--enable-exec-links \
	--enable-exec-scripts \
	--enable-externs \
	--enable-gzip-help \
	--enable-internal-links \
	--enable-ipv6 \
	--enable-nls \
	--enable-nsl-fork \
	--enable-persistent-cookies \
	--enable-prettysrc \
	--enable-source-cache \
	--enable-warnings
#	--with-socks5=%{_prefix} \
#	--enable-color-style \

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}} \
	$RPM_BUILD_ROOT%{_datadir}/lynx/help

%{__make} install install-help \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES COPYHEADER PROBLEMS README samples test docs/README*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lynx.cfg
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lynx.lss
%attr(755,root,root) %{_bindir}/*
%{_datadir}/lynx
%{_desktopdir}/lynx.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lynx.spec,v $
Revision 1.138  2010/11/08 18:50:27  shadzik
- rel 2

Revision 1.137  2010/06/21 12:35:18  lisu
- BR: sed (used by build scripts)

Revision 1.136  2010/06/21 12:10:25  lisu
- 2.8.7rel.2
- patches updated

Revision 1.135  2010/04/11 06:28:04  arekm
- release 3

Revision 1.134  2009/10/16 18:04:59  glen
- unify desktop with iceweasel; rel 2

Revision 1.133  2009/07/07 06:57:24  lisu
- trigger for CVE-2008-4690 is no longer needed. removed

Revision 1.132  2009/07/06 14:27:22  lisu
- version 2.8.7 is enough, leave rel.x for bugfixes

Revision 1.131  2009/07/06 13:56:35  lisu
- up to 2.8.7rel.1 [fixes CVE-2008-4690]
- acfix, autoconf, cfg, config, pld, po_DESTDIR patches updated
- CVE-2008-4690.patch removed
- TODO

Revision 1.130  2009/03/17 12:50:34  glen
- release 7

Revision 1.129  2009/02/18 20:11:09  arekm
- release 6

Revision 1.128  2009/01/09 12:35:34  blues
- rel.5

Revision 1.127  2008/11/10 19:26:16  glen
- sed for trigger

Revision 1.126  2008/11/10 19:25:35  glen
- fix for CVE-2008-4690; rel 4

Revision 1.125  2008/11/10 19:16:15  glen
- release 3

Revision 1.124  2008/11/03 09:50:00  blues
- security note and security blocker

Revision 1.123  2007/06/30 20:45:42  arekm
- up to 2.8.6rel.5

Revision 1.122  2007/02/26 22:08:14  qboosh
- updated to 2.8.6rel.4 [fixes CVE-2006-7234]
- updated autoconf,config,acfix,gzip_fallback,etc_dir patches
- removed obsolete fixcrash,CAN-2005-3120,CVE-2005-2929 patches

Revision 1.121  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.120  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.119  2006/08/09 06:51:22  arekm
- rel 6

Revision 1.118  2005/12/22 23:20:53  qrczak
- Linking with ncursesw instead of ncurses, so UTF-8 terminals
  are supported too.
- Release 5.

Revision 1.117  2005/11/13 18:07:03  glen
- CAN-2005-3120, CVE-2005-2929; rel 4

Revision 1.116  2005/10/17 16:25:05  glen
- security todo

Revision 1.115  2005/06/12 11:55:36  pluto
- fixed build conflict with llh.
  (/usr/include/sys/types.h:88: error: two or more data types in declaration specifiers)
- release 3.

Revision 1.114  2004/12/09 10:59:18  krolik
- added fixcrash patch, rel.2
- STBR

Revision 1.113  2004/06/20 21:36:53  arekm
- fix specflags (quotation here is buggy)

Revision 1.112  2004/03/19 23:46:30  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.111  2004/02/14 21:33:09  adamg
- updated to 2.8.5rel.1

Revision 1.110  2004/01/29 23:03:44  qboosh
- updated to 2.8.5pre.4, updated acfix.patch

Revision 1.109  2004/01/28 00:38:44  gotar
- upgraded to 2.8.5pre.3

Revision 1.108  2004/01/18 21:00:43  qboosh
- updated to 2.8.5pre.1, updated acfix,autoconf,config,.cfg patches

Revision 1.107  2004/01/02 17:44:02  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.106  2003/12/22 18:29:50  jajcus
- copy config.sub from automake

Revision 1.105  2003/11/22 18:00:58  gotar
- _applnkdir -> _desktopdir

Revision 1.104  2003/09/30 20:18:26  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.103  2003/06/28 19:36:24  gotar
- -fomit-frame-pointer on ia32

Revision 1.102  2003/06/04 09:20:21  misi3k
- updated to 2.8.5dev.16

Revision 1.101  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.100  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.99  2003/05/25 05:50:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.98  2003/05/09 22:15:14  gotar
- removed --with-gnutls

Revision 1.97  2003/05/01 12:17:06  gotar
- upgraded to 2.8.5dev.15,
- use ncurses instead of slang,
- added --with-gnutls.

Revision 1.96  2003/04/25 16:02:59  gotar
- added:
	--enable-justify-elts
	--enable-nested-tables
	--enable-read-eta

Revision 1.95  2003/04/07 12:22:03  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.94  2003/04/06 21:53:48  gotar
- commented out broken home_etc patch

Revision 1.93  2003/03/10 14:50:17  juandon
- added home_etc.patch

Revision 1.92  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.91  2003/01/15 10:39:18  qboosh
- typo

Revision 1.90  2003/01/15 10:38:00  qboosh
- removed COPYING from doc (known - GPL), sorted BRs
- STBR to ra/updates/security

Revision 1.89  2003/01/14 09:51:36  qboosh
- security update to 2.8.5dev.12 (CRLF injection)

Revision 1.88  2002/07/25 05:51:02  kloczek
- release 5.

Revision 1.87  2002/07/23 22:17:21  qboosh
- oops, removed ac25x patch - I didn't notice that marcus already added
  proper fix to autoconf patch

Revision 1.86  2002/07/06 21:08:11  qboosh
- added ac25x patch needed for autoconf 2.53

Revision 1.85  2002/07/03 13:01:03  juandon
- added gzip_fallback.patch
- Release 4

Revision 1.84  2002/07/03 08:45:27  marcus
- fixed ac for new autoconf
- new %doc
- rel.3.

Revision 1.83  2002/05/21 23:14:06  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.82  2002/02/23 03:36:25  kloczek
- adapterized.

Revision 1.81  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.80  2002/01/18 02:13:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.79  2001/11/14 22:24:38  ankry
- adde cs,fi,pl man pages
- release 2

Revision 1.78  2001/10/09 03:38:07  kloczek
- updated to 2.8.5dev.3.

Revision 1.77  2001/10/04 03:46:31  kloczek
- added png Icon for desktp file,
- added translation stolen from Konra and CNV.

Revision 1.76  2001/10/02 19:50:41  mkochano
- Release 3.
- Added ,,noreplace'' to %config.

Revision 1.75  2001/10/01 21:15:22  qboosh
- acfix patch, rebuild configure - it's needed to fix lynx.cnf path
  (lynx build is so stupid (cfg_defs.sh)... and autoconf dumb (config.hin))
- release 2

Revision 1.74  2001/09/29 22:16:47  qboosh
- 2.8.5dev.2, updated config patch
- removed SA_LEN patch (already in sources)
- removed %requires_eq for openssl

Revision 1.73  2001/08/12 02:52:48  agaran
- s/configure/configure2_13/
  now builds in ac-25 env, (something is wrong in ac/am and regen dont help)

Revision 1.72  2001/07/13 10:05:25  kloczek
- release 2,
- rebuild against openssl 0.9.6b,
- added "%requires_eq openssl".

Revision 1.71  2001/06/10 16:01:05  qboosh
- 2.8.4pre.1, updated lynx.cfg, autoconf, config patches
- removed obsolete ssl patch (at last!)

Revision 1.70  2001/05/10 07:37:47  misiek
- added missing BuildRequires:	openssl-devel >= 0.9.6a
- release 5

Revision 1.69  2001/04/05 16:07:47  qboosh
- SA_LEN patch to fix build problems
- use %rpm{c,ld}flags macros
- release 4

Revision 1.68  2001/02/22 17:21:25  qboosh
- /usr/lib/lynx.cfg -> /etc/lynx.cfg
- default start page = user's home directory (previous didn't exist)
- fixed default help file
- BuildRequires: autoconf
- release 3

Revision 1.67  2001/01/25 20:03:24  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.66  2001/01/17 00:28:08  qboosh
- release 2:
- added missing help
- added locales (not much... but for future releases)
- Obsoletes: lynx-ssl

Revision 1.65  2000/12/23 00:48:45  michuz
- changed %{!?debug:...}%{?debug...} to %{?debug:...}%{!?debug...}
  (now it's more C like)

Revision 1.64  2000/12/17 00:23:38  misiek
- updated to 14

Revision 1.63  2000/10/20 16:57:58  kloczek
- release 4: use new rpm automation.

Revision 1.62  2000/08/07 18:59:54  agaran
- Added autoconf execution in %build,and ssl now works (hopefully)

Revision 1.61  2000/08/05 21:31:15  baggins
- release 3
- fixed compilation with SSL

Revision 1.60  2000/08/04 08:06:41  agaran
- Update to 2.8.4dev.7, adapterized

Revision 1.59  2000/06/19 07:05:50  kloczek
- release 2,
- added "Provides: webclient",
- wmconfig replaced by desktop file.

Revision 1.58  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.57  2000/06/07 09:21:51  kloczek
- removed bashizms,
- removed pass -DUSE_PLD in CFLAGS (now $RPM_OPT_FLAGS is used during
  compile).

Revision 1.56  2000/06/06 12:02:27  bonkey
- a little reorganization with kloczek's blessing. Base should be
  lynx with ssl, in (near) future spec should also produce socks5
  package. If someone needs nossl version - he should prepare spec
  on his own :-)
- version 2.8.4dev3
- the newest was lynx+ssl+socks5.spec, so it became lynx.spec
- some path corrections

Revision 1.20  2000/06/05 13:11:35  bonkey
- v.2.8.4dev.3
- url changed
- _slang_ version due to incompatibilities between ncurses and glibc-2.1.3
- adapterized
- socks5 and ssl turned on - it's socks5+ssl spec, isn't it?
- todo: cfg and help path corrections, how about _one_ spec for all
  different configurations of lynx? (w|w/o socks|ssl)

Revision 1.19  2000/05/04 22:51:07  bonkey
- lynx-overflow.patch back, but it fixes only
  2 sprintfs -- rest dumped into .rej file
- release++

Revision 1.18  2000/05/04 22:35:02  bonkey
- upgraded version: 2.8.3
- changed url
- overflow patch probably unneeded
- new ssl patch

Revision 1.17  2000/05/02 21:22:58  baggins
- fixed version, minor cleanup

Revision 1.16  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.14  1999/11/08 19:45:42  kura
- changed Group to Applications/Networking

Revision 1.13  1999/07/20 12:48:09  wiget
- switch to rpm 3.0.2

Revision 1.12  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).
